use std::path::PathBuf;
use crate::configuration::ConfigFFmpeg;

pub struct TranscodeOperation<'f> {
    pub ffmpeg: &'f ConfigFFmpeg,
    pub file: PathBuf,
}

impl<'f> TranscodeOperation<'f> {
    pub fn new(ffmpeg: &'f ConfigFFmpeg, file: PathBuf) -> TranscodeOperation {
        TranscodeOperation {
            ffmpeg,
            file,
        }
    }

    pub fn run(&self) {
        info!("Transcoding file: {:?}...", &self.file);
        todo!();
    }
}

